body {
    height: 100%;
    margin-top:10%;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #f8f9fa; /* Light background */
    font-family: 'Century Gothic', sans-serif;
}

/* Background Image Overlay */
body::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: url('../img/newrosebackground.jpg') no-repeat center center fixed;
    background-size: cover;
    z-index: -1; /* Keeps it behind content */
}

.container {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 55%;
}

.login-container {
    width:80%;
    /* padding: 20px; */
    /* box-shadow: 0 0 10px rgba(0, 0, 0, 0.1); */
    /* border-radius: 8px; */
    /* background-color: #ac132a; */
    color: white;
}

/* When screen size is less than or equal to 400px */
@media screen and (max-width: 700px) {
    .container {
        width: 100%;
    }
    
    .login-container {
        width: 100%;
    }
}

.login-container .form-group {
    margin-bottom: 1.5rem;
}
.login-container .btn-primary {
    width: 100%;
}
.login-container .form-check-label {
    margin-left: 0.25rem;
}


.password-container {
    position: relative;
}
.password-container input {
    padding-right: 2.5rem;
}
.password-container .show-password {
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
    margin-right: 10px;
}

#forgotpassword {
    color: white;
    text-decoration: none; /* Removes underline */
    transition: color 0.3s ease-in-out; /* Smooth transition */
}

#forgotpassword:hover {
    color: #ffcc00; /* Change to your desired hover color */
    text-decoration: underline; /* Add underline on hover */
}
.custom-input::placeholder {
    color: white;   /* placeholder text color */
    opacity: 1;     /* make sure it’s not faded */
}

#loginBtn {
  display: block;
  margin: 0 auto; /* this centers a block-level element */
  color: darkblue;
  font-weight: bold;
}

#loginLoading {
  display: block;
  margin: 0 auto; /* this centers a block-level element */
  font-weight: bold;
}
